"""Update pwe RI form

Revision ID: 1d34da7e1f3e
Revises: b7e7d2b79756
Create Date: 2016-06-24 12:19:22.625354

"""

# revision identifiers, used by Alembic.
revision = '1d34da7e1f3e'
down_revision = 'b7e7d2b79756'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE resultindicators SET qualification_pwe = 1 WHERE new_qualification = 1;
UPDATE resultindicators SET qualification_pwe = 0 WHERE new_qualification = 0;
update resultindicators SET minijob_to_si = 2 WHERE id In ( SELECT oi.id FROM outputindicators oi WHERE oi.pwe_targetgroup != 2 );
UPDATE resultindicators SET pwe_online_participation_qualified = 0 WHERE qualification_pwe_online = 0;
UPDATE resultindicators SET pwe_online_participation_qualified = 1 WHERE qualification_pwe_online = 1;
UPDATE resultindicators SET after_care_professional_integration = 7 WHERE after_care_professional_integration = 1 OR after_care_professional_integration = 2 OR after_care_professional_integration = 4;
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('resultindicators', sa.Column('end_measure_others1', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others2', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others3', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others4', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others5', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others6', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others7', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others8', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('end_measure_others9', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('pwe_online_participation_qualified', sa.Integer(), nullable=True))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('resultindicators', 'pwe_online_participation_qualified')
    op.drop_column('resultindicators', 'end_measure_others9')
    op.drop_column('resultindicators', 'end_measure_others8')
    op.drop_column('resultindicators', 'end_measure_others7')
    op.drop_column('resultindicators', 'end_measure_others6')
    op.drop_column('resultindicators', 'end_measure_others5')
    op.drop_column('resultindicators', 'end_measure_others4')
    op.drop_column('resultindicators', 'end_measure_others3')
    op.drop_column('resultindicators', 'end_measure_others2')
    op.drop_column('resultindicators', 'end_measure_others1')
    ### end Alembic commands ###
    iter_statements(DELETES)
